/***
Update queries just to fix the correct order of the sequence
***/
UPDATE core_setting cs 
SET cs.sequence = 1
WHERE cs.pack = 'password' AND param_name = 'pass_alfanumeric';
UPDATE core_setting cs 
SET cs.sequence = 2
WHERE cs.pack = 'password' AND param_name = 'pass_min_char';
UPDATE core_setting cs 
SET cs.sequence = 3
WHERE cs.pack = 'password' AND param_name = 'pass_change_first_login';
UPDATE core_setting cs 
SET cs.sequence = 5
WHERE cs.pack = 'password' AND param_name = 'pass_max_time_valid';
UPDATE core_setting cs 
SET cs.sequence = 6
WHERE cs.pack = 'password' AND param_name = 'user_pwd_history_length';
/***
Update queries just to fix the correct order of the sequence
***/
/***
Insert the new config param
***/
INSERT INTO core_setting (`param_name`, `param_value`, `value_type`, `max_size`, `pack`, `regroup`, `sequence`, `param_load`, `hide_in_modify`, `extra_info`)
VALUES ('pass_changing_is_blocking', 'off', 'enum', '3', 'password', '3', '4', '1', '0', '');
/***
Insert the new config param
***/
/****
Insert the language key for the new conficuration parameter
****/
INSERT INTO core_lang_text (text_key, text_module) VALUES ('_PASS_CHANGING_IS_BLOCKING', 'configuration');
INSERT INTO core_lang_translation(id_text, lang_code, translation_text, save_date) VALUES (last_insert_id(), 'italian', 'Blocca l\'utente sul cambio password fino a che non ha eseguito l\'operazione', NOW());
/****
Insert the language key for the new conficuration parameter
****/